/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.133 Revision 1.206
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.133 2010/10/30 18:23:26 arfrever Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.206 2012/12/27 04:20:42 pesa Exp $
4
5 27 Dec 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.6-r1.ebuild:
6 Improve pyqt4_use_enable() as suggested by Arfrever.
7
8 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.5.ebuild:
9 old
10
11*PyQt4-4.9.6-r1 (26 Dec 2012)
12
13 26 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6-r1.ebuild,
14 metadata.xml:
15 EAPI=5 to be able to use slot operators in sip dependency. Sync USE flags with
16 pyside: rename assistant to help, add script and scripttools (bug 431460 by
17 Arfrever).
18
19*PyQt4-4.9.6 (10 Dec 2012)
20
21 10 Dec 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.6.ebuild:
22 Version bump, with some minor updates from qt overlay.
23
24 22 Nov 2012; Markus Meier <maekke@gentoo.org> PyQt4-4.9.4-r1.ebuild:
25 arm stable, bug #435074
26
27 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.9.4.ebuild,
28 PyQt4-4.9.4-r1.ebuild:
29 Promote 4.9.4-r1 bugfix rel ebuild to stable. Drop old
30
31 28 Oct 2012; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.8.4.ebuild,
32 -PyQt4-4.9.1.ebuild:
33 Remove old
34
35*PyQt4-4.9.5 (05 Oct 2012)
36
37 05 Oct 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.5.ebuild:
38 Version bump
39
40 09 Sep 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.4.ebuild:
41 alpha/ia64/sparc stable wrt #429042
42
43*PyQt4-4.9.4-r1 (03 Sep 2012)
44
45 03 Sep 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4-r1.ebuild,
46 +files/PyQt4-4.9.4-pyuic-custom-widgets.patch:
47 Apply upstream patch to fix regression in pyuic's handling of custom widgets
48 (bug 431070 by Laurent Bachelier).
49
50 20 Aug 2012; Johannes Huber <johu@gentoo.org> PyQt4-4.9.4.ebuild:
51 Stable for x86, wrt bug #429042
52
53 11 Aug 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.4.ebuild:
54 Stable for amd64, wrt bug #429042
55
56 11 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
57 Stable ppc64, bug #429042
58
59 10 Aug 2012; Anthony G. Basile <blueness@gentoo.org> PyQt4-4.9.4.ebuild:
60 Stable ppc, bug #429042
61
62 09 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild:
63 ia64 stable
64
65 09 Jul 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.8.1.ebuild,
66 -files/PyQt4-4.6.1-configure-multilib.patch:
67 Remove old.
68
69 08 Jul 2012; Raúl Porcel <armin76@gentoo.org> PyQt4-4.9.1.ebuild,
70 PyQt4-4.9.4.ebuild:
71 alpha/ia64/sparc stable wrt #412929
72
73*PyQt4-4.9.4 (02 Jul 2012)
74
75 02 Jul 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.4.ebuild,
76 -PyQt4-4.9.3.ebuild:
77 Version bump.
78
79*PyQt4-4.9.3 (27 Jun 2012)
80
81 27 Jun 2012; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.9.3.ebuild,
82 -PyQt4-4.9.2.ebuild:
83 Version bump.
84
85 23 Jun 2012; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.9.2.ebuild:
86 Raise dev-python/sip dependency to 4.13.3 thanks to Arfrever
87
88*PyQt4-4.9.2 (21 Jun 2012)
89
90 21 Jun 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.2.ebuild:
91 Version bump
92
93 14 Jun 2012; Ben de Groot <yngwin@gentoo.org> PyQt4-4.8.1.ebuild:
94 Destabling to ~ia64 because last available stable qt will be masked pending
95 removal
96
97 23 May 2012; Jeff Horelick <jdhore@gentoo.org> PyQt4-4.9.1.ebuild:
98 marked x86 per bug 412929
99
100 21 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
101 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
102 Inherit eutils.
103
104 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
105 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
106 Revert previous change.
107
108 16 May 2012; Mike Gilbert <floppym@gentoo.org> PyQt4-4.8.1.ebuild,
109 PyQt4-4.8.4.ebuild, PyQt4-4.9.1.ebuild:
110 Restrict python 3.1 to match dev-python/dbus-python.
111
112 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
113 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
114
115 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
116 Migrating dev-util/pkgconfig -> virtual/pkgconfig
117
118 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
119 Stable for amd64, wrt bug #412929
120
121 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
122 Stable on alpha, bug #354033
123
124 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
125 PyQt4-4.8.4.ebuild:
126 PyQt4-4.8 does not build with sip-4.13, bug 407291
127
128 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
129 Slightly improve the ewarn message in pkg_postinst().
130
131 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
132 Put qt as the primary herd in metadata.
133
134 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
135 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
136 <slong@rathaus.eclipse.co.uk> in bug #407281.
137
138 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
139 Switch to EAPI 4, add REQUIRED_USE.
140
141 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
142 PyQt4-4.8.4.ebuild:
143 Drop ~x86-fbsd because of unkeyworded dependencies.
144
145 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
146 Don't enable QtAssistant module because it was removed in qt-4.7 and we
147 already depend on 4.7.2 or later.
148
149 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
150 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
151 Restrict pypy for older versions too.
152
153 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
154 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
155 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
156 version.
157
158 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
159 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
160 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
161 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
162 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
163 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
164
165 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
166 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
167 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
168 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
169 Fixing pypy restricts to actually work
170
171*PyQt4-4.9.1 (12 Feb 2012)
172
173 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
174 version bump
175
176 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
177 builds with qt-opengl-4.8.0[egl], updated dep
178
179 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
180 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
181 Fixes backported from Progress Overlay. Patch by Arfrever.
182
183*PyQt4-4.9 (24 Dec 2011)
184
185 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
186 Version bump
187
188*PyQt4-4.8.6 (11 Nov 2011)
189
190 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
191 Version bump
192
193 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
194 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
195 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
196 python overlay.
197
198*PyQt4-4.8.5 (19 Aug 2011)
199
200 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
201 Version bump
202
203 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
204 ppc/ppc64 stable wrt #374591
205
206 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
207 x86 stable, bug #374591
208
209 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
210 ppc64 stable wrt #354033
211
212 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
213 Stable on amd64 wrt bug #374591
214
215 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
216 Marking PyQt4-4.8.3 ppc stable for bug 354033
217
218 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
219 Stable on amd64 wrt bug #354033
220
221 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
222 x86 stable per bug 354033
223
224*PyQt4-4.8.4 (02 May 2011)
225
226 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
227 +PyQt4-4.8.4.ebuild:
228 Version bump.
229
230 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
231 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
232 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
233 Adapt phonon dependency for package move
234
235 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
236 ppc64 stable wrt #349607
237
238 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
239 ia64/sparc stable wrt #349607
240
241 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
242 Stable on alpha, bug #349607
243
244 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
245 PyQt4-4.8.3.ebuild:
246 Update dependencies (bug #353053).
247
248*PyQt4-4.8.3 (25 Jan 2011)
249
250 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
251 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
252 Version bump.
253
254 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
255 x86 stable wrt bug #349607
256
257 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
258 Marking PyQt4-4.8.1 ppc stable for bug 349607
259
260 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
261 Stable on amd64 wrt bug #349607
262
263 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
264 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
265 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
266
267*PyQt4-4.8.1-r1 (30 Dec 2010)
268
269 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
270 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
271 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
272
273 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
274 PyQt4-4.8.2.ebuild:
275 Fix dependencies (bug #349672).
276
277*PyQt4-4.8.2 (24 Dec 2010)
278
279 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
280 +PyQt4-4.8.2.ebuild:
281 Version bump.
282
283 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
284 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
285 Restrict Jython ABIs.
286
287 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
288 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
289 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
290 -files/configure.py.patch:
291 Delete.
292
293 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
294 old, depends on qt 4.5
295
296 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
297 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
298 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
299 Remove HPPA keywording (bug #239441).
4 300
5*PyQt4-4.8.1 (30 Oct 2010) 301*PyQt4-4.8.1 (30 Oct 2010)
6 302
7 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org> 303 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
8 +PyQt4-4.8.1.ebuild: 304 +PyQt4-4.8.1.ebuild:
546*PyQt4-4.0_beta1 (05 May 2006) 842*PyQt4-4.0_beta1 (05 May 2006)
547 843
548 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml, 844 05 May 2006; Caleb Tennis <caleb@gentoo.org> +metadata.xml,
549 +PyQt4-4.0_beta1.ebuild: 845 +PyQt4-4.0_beta1.ebuild:
550 initial import, from bug #121554 846 initial import, from bug #121554
551

Legend:
Removed from v.1.133  
changed lines
  Added in v.1.206

  ViewVC Help
Powered by ViewVC 1.1.20